--- old/usr/src/uts/common/sys/aggr_impl.h	2014-07-28 07:44:54.186304504 -0400
+++ new/usr/src/uts/common/sys/aggr_impl.h	2014-07-28 07:44:54.192130277 -0400
@@ -234,26 +234,26 @@
 } aggr_grp_t;
 
 #define	AGGR_GRP_REFHOLD(grp) {			\
-	atomic_add_32(&(grp)->lg_refs, 1);	\
+	atomic_inc_32(&(grp)->lg_refs);	\
 	ASSERT((grp)->lg_refs != 0);		\
 }
 
 #define	AGGR_GRP_REFRELE(grp) {					\
 	ASSERT((grp)->lg_refs != 0);				\
 	membar_exit();						\
-	if (atomic_add_32_nv(&(grp)->lg_refs, -1) == 0)		\
+	if (atomic_dec_32_nv(&(grp)->lg_refs) == 0)		\
 		aggr_grp_free(grp);				\
 }
 
 #define	AGGR_PORT_REFHOLD(port) {		\
-	atomic_add_32(&(port)->lp_refs, 1);	\
+	atomic_inc_32(&(port)->lp_refs);	\
 	ASSERT((port)->lp_refs != 0);		\
 }
 
 #define	AGGR_PORT_REFRELE(port) {				\
 	ASSERT((port)->lp_refs != 0);				\
 	membar_exit();						\
-	if (atomic_add_32_nv(&(port)->lp_refs, -1) == 0)	\
+	if (atomic_dec_32_nv(&(port)->lp_refs) == 0)	\
 		aggr_port_free(port);				\
 }
 
